/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.atuscriptrecord;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
* 查询接口--数据传输对象：全局变量表
*
* createdate:  2022-10-29 11:35:50  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "全局变量表")
public class AtuGlobalVariableQueryDto implements Serializable
{
    @ApiModelProperty(value = "系统id")
    private String projectId;
    @ApiModelProperty(value = "是全局变量（false）还是脚本变量(true)")
    private boolean variableType;

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public boolean isVariableType() {
        return variableType;
    }

    public void setVariableType(boolean variableType) {
        this.variableType = variableType;
    }
}